package net.jieyuu.component;

import net.jieyuu.vo.PayInfoVO;

public interface PayStrategy {

    /**
     * 下单
     *
     * @param payInfoVO
     * @return
     */
    default String unifiedorder(PayInfoVO payInfoVO) {
        return "";
    }

    /**
     * 退款
     *
     * @param payInfoVO
     * @return
     */
    default String refund(PayInfoVO payInfoVO) {
        return "";
    }

    /**
     * 查询订单是否成功
     *
     * @param payInfoVO
     * @return
     */
    default String queryPaySuccess(PayInfoVO payInfoVO) {
        return "";
    }
}
