package net.jieyuu.component;

import lombok.extern.slf4j.Slf4j;
import net.jieyuu.config.PayUrlConfig;
import net.jieyuu.vo.PayInfoVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 * todo 完善微信支付
 */
@Slf4j
@Service
public class WechatPayStrategy implements PayStrategy {

    @Autowired
    private PayUrlConfig payUrlConfig;

    @Override
    public String unifiedorder(PayInfoVO payInfoVO) {
        return PayStrategy.super.unifiedorder(payInfoVO);
    }

    @Override
    public String refund(PayInfoVO payInfoVO) {
        return PayStrategy.super.refund(payInfoVO);
    }

    @Override
    public String queryPaySuccess(PayInfoVO payInfoVO) {
        return PayStrategy.super.queryPaySuccess(payInfoVO);
    }
}
