package net.jieyuu.feign;


import net.jieyuu.utils.JsonData;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;


@FeignClient(name = "xdclass-user-service")
public interface UserFeignService {
    /**
     * 查看地址详情，接口本身已经防止了水平越权
     *
     * @param id
     * @return
     */
    @GetMapping("/api/address/v1/find/{address_id}")
    public JsonData detail(@PathVariable("address_id") long id);

}
