package net.jieyuu.service;

import net.jieyuu.model.OrderMessage;
import net.jieyuu.model.ProductOrderDO;
import com.baomidou.mybatisplus.extension.service.IService;
import net.jieyuu.request.ConfirmOrderRequest;
import net.jieyuu.utils.JsonData;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author jieyuu
 * @since 2024-08-17
 */
public interface ProductOrderService extends IService<ProductOrderDO> {

    /**
     * 创建订单
     *
     * @param orderRequest
     * @return
     */
    JsonData confirmOrder(ConfirmOrderRequest orderRequest);

    /**
     * 查询订单状态
     *
     * @param outTradeNo
     * @return
     */
    String queryProductOrderState(String outTradeNo);

    /**
     * 队列监听定时关单接口
     *
     * @param orderMessage
     */
    boolean closeProductOrder(OrderMessage orderMessage);
}
