package net.jieyuu.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class PayInfoVO {
    /**
     * 订单号
     */
    private String outTradeNo;

    /**
     * 订单总金额
     */
    private String payFee;

    /**
     * 支付类型 支付宝-微信-银行-其他
     */
    private String payType;
    /**
     * 客户端类型 h5/app/pc
     */
    private String clientType;

    /**
     * 标题
     */
    private String title;

    /**
     * 描述
     */
    private String description;

    /**
     * 订单支付超时时间 毫秒
     */
    private long orderPayTimeoutMills;

}
